Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions.FoldPrecursor
Interface IFoldingAction

All Superinterfaces:
  Action

All Known Implementing Classes:
  Fold_Vienna, RNAfoldWS

    public interface IFoldingAction

extends Action

Author:
  Sylvia This Tool is created to provide a flexible usage. The algorithms to predict mature miRNA are based on 4 basic Actions: - Multiple alignment of precursor sequences - calculation of conservation among precursor sequences - Folding/secondary structure prediction of precursors - Scoring of precursor's sequence and secondary structure If you want to create a new class for FOLDING, the class MUST implement this Interface to fit in the program flow. example A: Create a new class which just calls another tool for secondary structure prediction. Extend the existing Fold_Vienna class which implements the IFoldingAction Interface and overwrite the methods you want to change. example B: Create an own algortihm for secondary structure prediction. Write a class which implements the IFoldingAction Interface. NOTE: After implementing a new Class for any Action step, compile it and add the absolute path of this .class file to the apropriate list in 'var/conf.properties' to include it in the tool. Otherwise the tool and the user will notice the class exists.

Method Summary
`void` | `foldPrecursor(PrecursorContainer pc)` Creates a File with the Precursors Nucleotide Sequence; Folds the given precursor with vienna package; Adds the Folding to Precursor`s properties

Methods inherited from interface de.unibi.techfak.InSilicoDicer.Actions.Action
`getStatus, setStatus`

Method Detail

### foldPrecursor

    void foldPrecursor(PrecursorContainer pc)

  Creates a File with the Precursors Nucleotide Sequence; Folds the given precursor with vienna package; Adds the Folding to Precursor`s properties

  Parameters:
    `pc` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD